Subject: Re: Gnome + winMe/98 + commericial x server?
From: "Charles S. Wilson" <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: "Jong B. Lee" <[email-masked]>, cygwin <[email-masked]>
Date: Mon, 19 Feb 2001 00:58:43 -0500

Robert Collins wrote:
> 
> >From the look of Stefans patches everything is being built static. Does
> your glib build dynamic or static libraries & can it be linked
> dynamically?

From:
http://groups.yahoo.com/group/gimpwin-dev/message/1251
> The new makefiles will build both static libraries and 
> also DLL libraries with import libraries. There is also 
> added small quickly written README file which explains 
> how to compile on cygwin for POSIX runtime.

AFAIRC, libtool support for building dll's "seamlessly" is either
limited, or very recent, or both.  (I just metntion that so folks won't
think it's a magic bullet for dll-izing *everything* "easily")

--Chuck

> Rob
> 
> > -----Original Message-----
> > From: Jong B. Lee [mailto:[email-masked]]
> > Sent: Monday, 19 February 2001 4:21 PM
> > To: cygwin
> > Subject: Re: Gnome + winMe/98 + commericial x server?
> >
> >
> >
> > > > OK, so since my last question helped me determine xfree86
> > > > isn't working yet
> > > > on windows 98/ME, what about if I used a commercial one?
> > > > Could I somehow do
> > > > that and still compile gnome? What would be the steps
> > involved? Any
> > > > thoughts, roadblocks?
> >
> > You can use commercial xservers, such as eXceed.
> > But, you still need XFree86 to build apps which use X libraries.
> >
> >
> > > Glib modules don't compile ootb yet, have a look at the main cygwin
> > > archives (search for gmodule).
> > >
> > > There is some work going on, but unless you are willing to
> > > a) write an esound interface to DirectSound/Windows Wavemapper
> > > b) get gmodules working
> > >
> > > you won't get a functional GNOME yet.
> > >
> > > b) is already under progress, but I don't think anyone is
> > working on a)
> > > as yet.
> > >
> >
> > You can test my glib-1.2.8 for cygwin.
> > gmodule works.
> >
> > http://my.dreamwiz.com/jbdoll/
> >
> > I'm struggling to build esound...
> >
> > JBL.
> >
> > P.S.)
> > Stefan Ondrejicka, the author of pavuk, has sent
> > cygwin-patches for cvs glib.
> > You can get his patch from the gimpwin-dev mailing list.
> > http://groups.yahoo.com/group/gimpwin-dev/message/1276
> >
> >
> >
> >
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple